org.eclipse.net4j.util.event

## Class ThrowableEventAdapter

- java.lang.Object
- - org.eclipse.net4j.util.event.ThrowableEventAdapter

- All Implemented Interfaces:
    java.util.EventListener, IListener
  Direct Known Subclasses:
    ThrowableEventAdapter.ToPrintStream

      public class ThrowableEventAdapter
      extends java.lang.Object
      implements IListener

  A `listener` that dispatches throwable `events` to methods that can be overridden by extenders.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThrowableEventAdapter.ToPrintStream` Prints the stack traces of throwable `events` to a `PrintStream`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrowableEventAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyEvent(IEvent event)`
    `protected void` | `notifyLifecycleEvent(ThrowableEvent event)`
    `protected void` | `notifyOtherEvent(IEvent event)`
    `protected void` | `onThrowable(INotifier source, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowableEventAdapter

          public ThrowableEventAdapter()

  - ### Method Detail

    - #### notifyEvent

          public final void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### notifyLifecycleEvent

          protected void notifyLifecycleEvent(ThrowableEvent event)

    - #### notifyOtherEvent

          protected void notifyOtherEvent(IEvent event)

    - #### onThrowable

          protected void onThrowable(INotifier source,
                                     java.lang.Throwable t)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html